## org.apache.xerces.stax.events
Class StartDocumentImpl

    java.lang.Object
      org.apache.xerces.stax.events.StartDocumentImpl

All Implemented Interfaces:
  javax.xml.stream.events.StartDocument, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

    public final class StartDocumentImpl

extends java.lang.Object
implements javax.xml.stream.events.StartDocument

Version:
  $Id: StartDocumentImpl.java 730471 2008-12-31 20:45:32Z mrglavas $
Author:
  Lucian Holland

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`StartDocumentImpl(java.lang.String charEncoding, boolean encodingSet, boolean isStandalone, boolean standaloneSet, java.lang.String version, javax.xml.stream.Location location)`

Method Summary
`javax.xml.stream.events.Characters` `asCharacters()`
`javax.xml.stream.events.EndElement` `asEndElement()`
`javax.xml.stream.events.StartElement` `asStartElement()`
`boolean` `encodingSet()`
`java.lang.String` `getCharacterEncodingScheme()`
`int` `getEventType()`
`javax.xml.stream.Location` `getLocation()`
`javax.xml.namespace.QName` `getSchemaType()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getVersion()`
`boolean` `isAttribute()`
`boolean` `isCharacters()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEntityReference()`
`boolean` `isNamespace()`
`boolean` `isProcessingInstruction()`
`boolean` `isStandalone()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()`
`boolean` `standaloneSet()`
`java.lang.String` `toString()`
`void` `writeAsEncodedUnicode(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement`

Constructor Detail

### StartDocumentImpl

    public StartDocumentImpl(java.lang.String charEncoding,
                             boolean encodingSet,
                             boolean isStandalone,
                             boolean standaloneSet,
                             java.lang.String version,
                             javax.xml.stream.Location location)

Parameters:
  `location` -

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.getSystemId()`

### getCharacterEncodingScheme

    public java.lang.String getCharacterEncodingScheme()

  Specified by:
    `getCharacterEncodingScheme` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.getCharacterEncodingScheme()`

### encodingSet

    public boolean encodingSet()

  Specified by:
    `encodingSet` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.encodingSet()`

### isStandalone

    public boolean isStandalone()

  Specified by:
    `isStandalone` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.isStandalone()`

### standaloneSet

    public boolean standaloneSet()

  Specified by:
    `standaloneSet` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.standaloneSet()`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `javax.xml.stream.events.StartDocument`
  See Also:
    `StartDocument.getVersion()`

### writeAsEncodedUnicode

    public void writeAsEncodedUnicode(java.io.Writer writer)
                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAsEncodedUnicode` in interface `javax.xml.stream.events.XMLEvent`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getEventType

    public final int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getEventType()`

### getLocation

    public final javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getLocation()`

### isStartElement

    public final boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartElement()`

### isAttribute

    public final boolean isAttribute()

  Specified by:
    `isAttribute` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isAttribute()`

### isNamespace

    public final boolean isNamespace()

  Specified by:
    `isNamespace` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isNamespace()`

### isEndElement

    public final boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndElement()`

### isEntityReference

    public final boolean isEntityReference()

  Specified by:
    `isEntityReference` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEntityReference()`

### isProcessingInstruction

    public final boolean isProcessingInstruction()

  Specified by:
    `isProcessingInstruction` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isProcessingInstruction()`

### isCharacters

    public final boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isCharacters()`

### isStartDocument

    public final boolean isStartDocument()

  Specified by:
    `isStartDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartDocument()`

### isEndDocument

    public final boolean isEndDocument()

  Specified by:
    `isEndDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndDocument()`

### asStartElement

    public final javax.xml.stream.events.StartElement asStartElement()

  Specified by:
    `asStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asStartElement()`

### asEndElement

    public final javax.xml.stream.events.EndElement asEndElement()

  Specified by:
    `asEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asEndElement()`

### asCharacters

    public final javax.xml.stream.events.Characters asCharacters()

  Specified by:
    `asCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asCharacters()`

### getSchemaType

    public final javax.xml.namespace.QName getSchemaType()

  Specified by:
    `getSchemaType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getSchemaType()`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.